Skip to main content
`Ctrl`+`K`

# EPSLanczosReorthogType

The type of reorthogonalization used in `EPSLANCZOS`.

## Synopsis

    typedef enum { EPS_LANCZOS_REORTHOG_LOCAL,
                   EPS_LANCZOS_REORTHOG_FULL,
                   EPS_LANCZOS_REORTHOG_SELECTIVE,
                   EPS_LANCZOS_REORTHOG_PERIODIC,
                   EPS_LANCZOS_REORTHOG_PARTIAL,
                   EPS_LANCZOS_REORTHOG_DELAYED } EPSLanczosReorthogType;

## Values

- `EPS_LANCZOS_REORTHOG_LOCAL` - local orthogonalization, only involves previous two vectors

- `EPS_LANCZOS_REORTHOG_FULL` - full orthogonalization against all previous vectors

- `EPS_LANCZOS_REORTHOG_SELECTIVE` - selective reorthogonalization against nearly converged Ritz vectors

- `EPS_LANCZOS_REORTHOG_PERIODIC` - periodic reorthogonalization against all previous vectors

- `EPS_LANCZOS_REORTHOG_PARTIAL` - partial reorthogonalization against as subset of previous vectors

- `EPS_LANCZOS_REORTHOG_DELAYED` - full orthogonalization with delayed reorthogonalization

## Note

Details of the different reorthogonalization strategies can be found in [Hernandez et al., 2006].

## References

[Her06]

V. Hernandez, J. E. Roman, A. Tomas, and V. Vidal. Lanczos methods in SLEPc. Technical Report STR-5, Universitat Politècnica de València, 2006. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSLanczosSetReorthog()`, `EPSLanczosGetReorthog()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages